Skip to content
Get started

Retrieve a worker webhook

GET/api/workers/{workerId}/webhook

Retrieve the webhook URL and shared token configured for a worker. Both fields are null when no webhook is configured. Only the worker creator can read the webhook configuration.

Path ParametersExpand Collapse
workerId: string
ReturnsExpand Collapse
Webhook object { token, url }
token: string

Shared secret sent in the X-Handinger-Token header on each delivery. null when no webhook is configured.

url: string

HTTPS endpoint that receives webhook deliveries when a task completes. null when no webhook is configured.

Retrieve a worker webhook

curl https://handinger.com/api/workers/$WORKER_ID/webhook \
    -H "Authorization: Bearer $HANDINGER_API_KEY"
{
  "token": "whk_01HZY31W2SZJ8MJ2FQTR3M1K9D",
  "url": "https://example.com/handinger-webhook"
}
Returns Examples
{
  "token": "whk_01HZY31W2SZJ8MJ2FQTR3M1K9D",
  "url": "https://example.com/handinger-webhook"
}